<testsuites>
  <!--Report is generated by Rally 3.0.1~dev14 at 2020-04-27T23:25:31.500043-->
  <testsuite errors="0" failures="0" id="8ad460c5-abdc-428c-8e8a-952f62453217" skipped="8" tests="129" time="1237.45" timestamp="2020-04-27T23:04:40">
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_stack_list" id="39c0245e-6055-41cf-9f0e-15adfe55ded6" name="test_request" time="0.199" timestamp="2020-04-27T23:04:45+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_create_empty_stack" id="bde1b827-65fb-47ea-909f-82537e6260d3" name="test_request" time="0.561" timestamp="2020-04-27T23:04:46+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_create_stack" id="56ac2173-97c5-4347-bd32-529a260cfac3" name="test_request" time="0.471" timestamp="2020-04-27T23:04:46+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_delete_empty_stack" id="7eca55fe-8300-43b6-a6b8-fb2d99b51911" name="test_request" time="0.115" timestamp="2020-04-27T23:04:46+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_poll_for_empty_create_complete" id="f575e5c4-2aed-4381-9f0d-2dfcb0640c4b" name="test_request" time="0.203" timestamp="2020-04-27T23:04:46+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_show_empty_stack" id="89b233fe-0d55-4959-9289-0b5dabe4e4c9" name="test_request" time="0.051" timestamp="2020-04-27T23:04:46+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_poll_for_stack_create_complete" id="6a0fe2dc-2822-4af3-b606-321ff7ad3de9" name="test_request" time="2.322" timestamp="2020-04-27T23:04:47+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_poll_for_stack_update_complete" id="3e280fb3-02b6-44fb-84dd-e04921d47733" name="test_request" time="2.293" timestamp="2020-04-27T23:04:49+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_show_stack" id="9b268607-0335-4667-a613-bccf81e66f8f" name="test_request" time="0.069" timestamp="2020-04-27T23:04:49+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_update_stack" id="6bb1ec02-dd19-4b2c-9a6d-866ce666650f" name="test_request" time="0.082" timestamp="2020-04-27T23:04:49+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_patch_update_stack" id="927cea42-a35b-4664-b209-ab2cb34e6ef4" name="test_request" time="0.091" timestamp="2020-04-27T23:04:52+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_poll_for_stack_patch_update_complete" id="a1cfd3b4-2536-4c54-94f4-12093f2ccf3b" name="test_request" time="4.385" timestamp="2020-04-27T23:04:52+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_delete_stack" id="bcf4c359-0a64-4652-b465-df3f688a9d4d" name="test_request" time="0.178" timestamp="2020-04-27T23:04:56+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_get_stack_output" id="e761f5d7-70f6-4d95-a11b-e5fa0ecb43d2" name="test_request" time="0.082" timestamp="2020-04-27T23:04:56+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.stacks_list_stack_outputs" id="bbd98b50-b75b-44a1-b7e8-0a68fd7c6d33" name="test_request" time="0.078" timestamp="2020-04-27T23:04:56+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resources_create_stack_with_resources" id="947be7b2-503d-41f5-9843-61be50954f13" name="test_request" time="0.639" timestamp="2020-04-27T23:04:57+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resources_poll_for_rsrcstack_create_complete" id="e9eac22f-c3e7-450f-a087-08a8655a6e8e" name="test_request" time="2.248" timestamp="2020-04-27T23:04:57+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resources_list_resources" id="ec53f10d-a89a-4243-8706-629a01ea890f" name="test_request" time="0.199" timestamp="2020-04-27T23:04:59+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resources_delete_stack_with_resources" id="0edc4fdc-811d-4d27-a0dd-6ec4db2bda6e" name="test_request" time="0.190" timestamp="2020-04-27T23:05:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resources_list_filtered_resources" id="da07d3d2-9ccc-4fa1-9b1b-9cb3074fe9b9" name="test_request" time="0.072" timestamp="2020-04-27T23:05:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resources_mark_resource_unhealthy" id="6031516b-3a8f-4d1b-8990-81a571b5f956" name="test_request" time="0.160" timestamp="2020-04-27T23:05:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resources_show_resource" id="2cbcedc5-0aa7-454e-bf89-a3dd5d379dc1" name="test_request" time="0.073" timestamp="2020-04-27T23:05:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resources_show_unhealthy_resource" id="9e784490-2e88-49af-8ee7-c4c6aba2be64" name="test_request" time="0.133" timestamp="2020-04-27T23:05:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resources_signal_resource" id="c65a047c-8c7b-4b44-9f5f-bf1069751c5c" name="test_request" time="0.053" timestamp="2020-04-27T23:05:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.templates_list_template_versions" id="cbc28c20-e740-43ef-a01b-b1a39f4a0db3" name="test_request" time="0.337" timestamp="2020-04-27T23:05:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.softwareconfig_create_software_config" id="d26d11c0-4924-11e8-842f-0ed5f89f718b" name="test_request" time="0.275" timestamp="2020-04-27T23:05:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.softwareconfig_create_software_deployment" id="d26d15ee-4924-11e8-842f-0ed5f89f718b" name="test_request" time="0.081" timestamp="2020-04-27T23:05:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.softwareconfig_show_config" id="d26d149a-4924-11e8-842f-0ed5f89f718b" name="test_request" time="0.126" timestamp="2020-04-27T23:05:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.softwareconfig_show_deployment" id="d26d1968-4924-11e8-842f-0ed5f89f718b" name="test_request" time="0.131" timestamp="2020-04-27T23:05:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.templates_list_template_functions" id="721ff23c-8527-480f-a090-1c915b4f8430" name="test_request" time="0.071" timestamp="2020-04-27T23:05:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.templates_template_validate" id="f307139b-03d0-4006-92b7-81c86c949727" name="test_request" time="0.029" timestamp="2020-04-27T23:05:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resourcetypes_list_resource_types" id="5b4db88b-d171-4400-b7a7-a7dc8f597d31" name="test_request" time="0.373" timestamp="2020-04-27T23:05:02+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.softwareconfig_delete_config" id="d26d22be-4924-11e8-842f-0ed5f89f718b" name="test_request" time="0.044" timestamp="2020-04-27T23:05:02+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.softwareconfig_delete_deployment" id="d26d1fda-4924-11e8-842f-0ed5f89f718b" name="test_request" time="0.050" timestamp="2020-04-27T23:05:02+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.softwareconfig_list_software_configs" id="d26d1d46-4924-11e8-842f-0ed5f89f718b" name="test_request" time="0.115" timestamp="2020-04-27T23:05:02+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.softwareconfig_list_software_deployments" id="d26d1e90-4924-11e8-842f-0ed5f89f718b" name="test_request" time="0.123" timestamp="2020-04-27T23:05:02+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.softwareconfig_show_deployment_metadata" id="d26d1ae4-4924-11e8-842f-0ed5f89f718b" name="test_request" time="0.223" timestamp="2020-04-27T23:05:02+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.softwareconfig_update_deployment" id="d26d1c1a-4924-11e8-842f-0ed5f89f718b" name="test_request" time="0.081" timestamp="2020-04-27T23:05:02+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.environments_environment_with_parameter" id="8281d088-0c80-4071-a13d-333b309be6ca" name="test_request" time="0.523" timestamp="2020-04-27T23:05:03+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.environments_poll_for_envstack_create_complete" id="29899c70-9c94-4e24-8988-df76f7eaaa70" name="test_request" time="2.181" timestamp="2020-04-27T23:05:03+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resourcetypes_resource_type_template" id="5a2164eb-645a-4245-acd7-b222a715fc09" name="test_request" time="0.091" timestamp="2020-04-27T23:05:03+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.resourcetypes_show_resource_type" id="cc05d1ef-17f1-430e-bea1-0f6766f7d0b4" name="test_request" time="0.089" timestamp="2020-04-27T23:05:03+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.environments_delete_envstack" id="0efde180-cc0e-4f2c-bb18-fa345e8d21ad" name="test_request" time="0.085" timestamp="2020-04-27T23:05:06+0000" />
    <testcase classname="heat_tempest_plugin.tests.api.test_heat_api.environments_get_stack_output" id="f60dd8df-82d1-4228-8926-54d65ebd12e1" name="test_request" time="0.087" timestamp="2020-04-27T23:05:06+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_port.UpdatePortTest" id="8e37933b-345c-4ce5-a523-e67bdf198d73" name="test_update_remove_ip" time="13.595" timestamp="2020-04-27T23:05:06+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_port.UpdatePortTest" id="df1bf0fb-115e-42f3-b6cc-e12b5d506c98" name="test_update_with_mac_address" time="21.622" timestamp="2020-04-27T23:05:19+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_subnet.UpdateSubnetTest" id="af43fc6d-58ba-4b5f-bd68-07b29f0a96bc" name="test_update_allocation_pools" time="13.884" timestamp="2020-04-27T23:05:41+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_subnet.UpdateSubnetTest" id="2f1d3b04-2183-4e50-8aa3-fa0fbff5c861" name="test_update_allocation_pools_to_empty" time="13.899" timestamp="2020-04-27T23:05:55+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_subnet.UpdateSubnetTest" id="ffb3eaf8-044b-4229-99f9-5fd983ccc9d9" name="test_update_gateway_ip" time="13.575" timestamp="2020-04-27T23:06:09+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_subnet.UpdateSubnetTest" id="e7b37a6b-e883-4c0c-b6a3-9ece1843e902" name="test_update_gateway_ip_to_empty" time="13.739" timestamp="2020-04-27T23:06:22+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_subnet.UpdateSubnetTest" id="6ec51150-6f83-4179-9faa-a3aee91ea150" name="test_update_to_no_allocation_pools" time="13.807" timestamp="2020-04-27T23:06:36+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_subnet.UpdateSubnetTest" id="373bab03-1f66-4883-b1de-2ecc39efe17e" name="test_update_to_no_gateway_ip" time="13.461" timestamp="2020-04-27T23:06:50+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_trunk.UpdateTrunkTest" id="c3f52330-01b7-4649-99fd-43700e6bbda3" name="test_add_a_second_sub_port" time="21.816" timestamp="2020-04-27T23:07:03+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_trunk.UpdateTrunkTest" id="5572b0ac-fdb2-4c68-a49e-024771814471" name="test_add_first_sub_port" time="21.669" timestamp="2020-04-27T23:07:25+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_trunk.UpdateTrunkTest" id="7f0836c7-1d35-4d11-bcdc-e0e19ca68b68" name="test_remove_last_sub_port_from_trunk" time="21.960" timestamp="2020-04-27T23:07:47+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_trunk.UpdateTrunkTest" id="cb59363e-5517-42f9-8b93-9ad700e2ef4c" name="test_remove_sub_port_from_trunk" time="25.746" timestamp="2020-04-27T23:08:09+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_trunk.UpdateTrunkTest" id="e9296d6f-009c-4530-9aaf-84a0f8281bcb" name="test_update_existing_sub_port_on_trunk" time="21.899" timestamp="2020-04-27T23:08:35+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_create_update_neutron_trunk.UpdateTrunkTest" id="912044d8-e0c1-4c6c-ab4e-bc1cadc46c18" name="test_update_trunk_name_and_description" time="21.576" timestamp="2020-04-27T23:08:56+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_encrypted_parameter.EncryptedParametersTest" id="d5bbf763-8eb9-4657-ad3f-e97405b6e1f2" name="test_db_encryption" time="17.654" timestamp="2020-04-27T23:09:18+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_encryption_vol_type.EncryptionVolTypeTest" id="a98de4ce-aa59-478b-a8ce-b5d818c76a68" name="test_create_update" time="13.904" timestamp="2020-04-27T23:09:36+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_external_ref.ExternalReferencesTest" id="45449bad-18ba-4148-82e6-a6bc1e9a9b04" name="test_create_with_external_ref" time="9.042" timestamp="2020-04-27T23:09:50+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_external_ref.ExternalReferencesTest" id="0ac301c2-b377-49b8-82e2-2458634bc8cf" name="test_update_stack_contain_external_ref" time="13.260" timestamp="2020-04-27T23:09:59+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_external_ref.ExternalReferencesTest" id="fb16477c-e981-4ef9-a83b-c0acc162343a" name="test_update_with_external_ref" time="13.209" timestamp="2020-04-27T23:10:12+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_hooks.HooksTest" id="f14cbe86-0392-474a-9f28-bb561745698d" name="test_hook_pre_create" time="13.535" timestamp="2020-04-27T23:10:25+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_hooks.HooksTest" id="7d96b5f4-4aba-493d-b098-4beea4654a2b" name="test_hook_pre_create_nested" time="13.653" timestamp="2020-04-27T23:10:39+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_hooks.HooksTest" id="cffc0783-3add-4f0c-ac66-03c90f6feeb0" name="test_hook_pre_create_wildcard" time="17.932" timestamp="2020-04-27T23:10:52+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_hooks.HooksTest" id="15c4f97d-5e06-40c6-83af-0e57d5afaff9" name="test_hook_pre_update_in_place" time="13.642" timestamp="2020-04-27T23:11:10+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_hooks.HooksTest" id="75009076-96eb-43af-b4df-f002704737d2" name="test_hook_pre_update_nochange" time="17.733" timestamp="2020-04-27T23:11:24+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_hooks.HooksTest" id="9f03d1e0-a2d2-42fc-a9c6-47db05b9c8ed" name="test_hook_pre_update_replace" time="17.792" timestamp="2020-04-27T23:11:42+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_lbaasv2.LoadBalancerv2Test" id="104f59ae-a3c8-4c12-98e5-a7bc0007878d" name="test_add_delete_poolmember" time="0.306" timestamp="2020-04-27T23:11:59+0000">
      <skipped>LBaasv2 extension not available, skipping</skipped>
    </testcase>
    <testcase classname="heat_tempest_plugin.tests.functional.test_lbaasv2.LoadBalancerv2Test" id="2f4a476c-cba7-448b-a7c1-85f7284f0293" name="test_create_update_loadbalancer" time="0.153" timestamp="2020-04-27T23:12:00+0000">
      <skipped>LBaasv2 extension not available, skipping</skipped>
    </testcase>
    <testcase classname="heat_tempest_plugin.tests.functional.test_nova_server_networks.CreateServerTest" id="19479c15-6b25-4865-8889-658566608bd9" name="test_create_server_with_port" time="21.373" timestamp="2020-04-27T23:12:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_nova_server_networks.CreateServerTest" id="58ccf0aa-7531-4eaa-8ed5-38663a4defaa" name="test_create_server_with_subnet_fixed_ip_sec_group" time="26.408" timestamp="2020-04-27T23:12:21+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_nova_server_networks.CreateServerTest" id="12185eaa-927f-43f3-a525-0424c4eb9b5d" name="test_create_update_server_with_subnet" time="38.530" timestamp="2020-04-27T23:12:48+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_nova_server_networks.UpdateServerNetworksTest" id="abc39cd6-7745-4314-ac04-85df532dd7c9" name="test_create_update_server_add_network" time="26.973" timestamp="2020-04-27T23:13:26+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_nova_server_networks.UpdateServerNetworksTest" id="01c0f1cd-25b2-49b9-b4ac-fc4dd8937e42" name="test_create_update_server_add_same_fixed_ip" time="27.593" timestamp="2020-04-27T23:13:53+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_nova_server_networks.UpdateServerNetworksTest" id="647fda5d-fc0c-4eb1-9ce3-c4c537461324" name="test_create_update_server_add_subnet" time="23.561" timestamp="2020-04-27T23:14:21+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_nova_server_networks.UpdateServerNetworksTest" id="3f729e7e-a698-4ee3-8a5e-0db84f16d1e1" name="test_create_update_server_multi_networks_swaps" time="36.514" timestamp="2020-04-27T23:14:44+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_nova_server_networks.UpdateServerNetworksTest" id="cccfe612-1ab7-401f-a4c5-63372826a780" name="test_create_update_server_swap_network_port" time="27.254" timestamp="2020-04-27T23:15:21+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_nova_server_networks.UpdateServerNetworksTest" id="c1a22dbf-3160-41b7-8d3f-62ca33fc35a8" name="test_create_update_server_swap_network_subnet" time="27.123" timestamp="2020-04-27T23:15:48+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_nova_server_networks.UpdateServerNetworksTest" id="3eeb0dff-5d2d-4178-a4e6-06e4c26ce23a" name="test_create_update_server_swap_subnet_network" time="30.925" timestamp="2020-04-27T23:16:15+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_os_wait_condition.OSWaitCondition" id="cc54ca6e-b91d-4ddd-80cc-24a886dfaaa0" name="test_create_stack_with_multi_signal_waitcondition" time="21.366" timestamp="2020-04-27T23:16:46+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_preview.StackPreviewTest" id="54e69a54-762d-479e-a4f4-1fbf21af01c6" name="test_basic_fail" time="0.307" timestamp="2020-04-27T23:17:07+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_preview.StackPreviewTest" id="4c2c062d-4723-42c0-a113-3307dd4ceb12" name="test_basic_pass" time="0.169" timestamp="2020-04-27T23:17:08+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_preview.StackPreviewTest" id="0449113c-ff90-4f2b-8825-27ea35c1983f" name="test_nested_pass" time="0.193" timestamp="2020-04-27T23:17:08+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_preview.StackPreviewTest" id="6ca8ddfc-106f-4ecc-83f7-fca31d0c85ca" name="test_res_group_with_nested_template" time="0.177" timestamp="2020-04-27T23:17:08+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_remote_stack.RemoteStackTest" id="7e735c40-24fb-4ef8-8585-d1c68b344476" name="test_remote_stack_alone" time="9.018" timestamp="2020-04-27T23:17:08+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_remote_stack.RemoteStackTest" id="aeed20d1-ebda-4544-9ace-16b0c8fc24f6" name="test_stack_create" time="9.461" timestamp="2020-04-27T23:17:17+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_remote_stack.RemoteStackTest" id="830bfeae-6d8a-4cb2-823d-d8b6c3a740ad" name="test_stack_create_bad_region" time="0.351" timestamp="2020-04-27T23:17:27+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_remote_stack.RemoteStackTest" id="6b61d8e3-79df-4e84-bdcf-f734da39d52b" name="test_stack_create_with_cloud_credential" time="0.000" timestamp="2020-04-27T23:17:27+0000">
      <skipped>multi_cloud - Feature not enabled.</skipped>
    </testcase>
    <testcase classname="heat_tempest_plugin.tests.functional.test_remote_stack.RemoteStackTest" id="b2190dfc-d223-4595-b168-6c42b0f3a3e5" name="test_stack_resource_validation_fail" time="0.208" timestamp="2020-04-27T23:17:27+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_remote_stack.RemoteStackTest" id="50841af8-bdf5-4df6-a075-dc061ada6833" name="test_stack_suspend_resume" time="17.717" timestamp="2020-04-27T23:17:27+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_remote_stack.RemoteStackTest" id="141f0478-121b-4e61-bde7-d5551bfd1fc2" name="test_stack_update" time="13.944" timestamp="2020-04-27T23:17:45+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_resources_list.ResourcesList" id="b65b5c82-68b0-42c9-82a0-c0e74e9ad906" name="test_filtering_with_depend" time="9.166" timestamp="2020-04-27T23:17:59+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_resources_list.ResourcesList" id="97a65d53-b449-4a43-8283-42d43b165756" name="test_required_by" time="9.097" timestamp="2020-04-27T23:18:08+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_software_config.ParallelDeploymentsTest" id="8ee231ff-f80a-4a17-a860-5cda87e18ad0" name="test_deployments_metadata" time="67.188" timestamp="2020-04-27T23:18:17+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_software_config.ParallelDeploymentsTest" id="bd539232-b999-4bec-b47d-ff4822fc8b82" name="test_deployments_timeout_failed" time="83.314" timestamp="2020-04-27T23:19:24+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_stack_events.StackEventsTest" id="620f4f7c-74f8-48a4-a8b0-d06d0337f133" name="test_event" time="9.458" timestamp="2020-04-27T23:20:48+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_stack_outputs.StackOutputsTest" id="993a403c-c6e2-475d-a65d-a82b8c9e0c22" name="test_output_error_nested" time="13.299" timestamp="2020-04-27T23:20:57+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_stack_outputs.StackOutputsTest" id="a886dd67-4506-4a37-82ae-43f0a7d83f35" name="test_outputs" time="9.204" timestamp="2020-04-27T23:21:11+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_stack_outputs.StackOutputsTest" id="aea0e495-4c77-4033-8c43-3351e9cb7b48" name="test_outputs_update_new_resource" time="13.304" timestamp="2020-04-27T23:21:20+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_stack_tags.StackTagTest" id="5ed79584-0684-4f9c-ae8e-44a8f874ec79" name="test_hidden_stack" time="9.069" timestamp="2020-04-27T23:21:33+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_stack_tags.StackTagTest" id="67332e51-b427-42d5-ad8d-fd2ec334f361" name="test_stack_tag" time="17.520" timestamp="2020-04-27T23:21:42+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_template_validate.StackTemplateValidateTest" id="b65a80c2-a507-4deb-9e7e-43181cc05211" name="test_template_validate_basic" time="0.308" timestamp="2020-04-27T23:22:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_template_validate.StackTemplateValidateTest" id="acb1435b-f1db-4427-9121-7e3144ddb81e" name="test_template_validate_basic_required_param" time="0.161" timestamp="2020-04-27T23:22:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_template_validate.StackTemplateValidateTest" id="7aac1feb-8256-4f70-8459-5e9780d28904" name="test_template_validate_fail_version" time="0.163" timestamp="2020-04-27T23:22:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_template_validate.StackTemplateValidateTest" id="5100cf18-f52a-47a2-880c-d540edad149f" name="test_template_validate_nested_off" time="0.151" timestamp="2020-04-27T23:22:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_template_validate.StackTemplateValidateTest" id="480bcf64-25ae-49c7-b147-7cbc27d09cea" name="test_template_validate_nested_on" time="0.154" timestamp="2020-04-27T23:22:00+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_template_validate.StackTemplateValidateTest" id="a0bb07f0-2e10-4226-a205-a7eb04df415f" name="test_template_validate_nested_on_multiple" time="0.183" timestamp="2020-04-27T23:22:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_template_validate.StackTemplateValidateTest" id="bf27371d-e202-4bae-9f13-2ef137958517" name="test_template_validate_override_default" time="0.175" timestamp="2020-04-27T23:22:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_template_validate.StackTemplateValidateTest" id="0278e03d-ed50-4909-b29d-9c4267d3fcd6" name="test_template_validate_override_none" time="0.176" timestamp="2020-04-27T23:22:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_template_validate.StackTemplateValidateTest" id="6a6472d2-71fa-4ebe-a2b6-20878838555b" name="test_template_validate_parameter_groups" time="0.140" timestamp="2020-04-27T23:22:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_templates.TemplateAPITest" id="ac6ebc41-bd6a-4df4-80e5-f4b9ae3b5506" name="test_get_stack_template" time="8.925" timestamp="2020-04-27T23:22:01+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_templates.TemplateAPITest" id="9f9a2fc0-f029-4d1f-a2eb-f019b9f75944" name="test_resource_types" time="0.519" timestamp="2020-04-27T23:22:10+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_templates.TemplateAPITest" id="fafbdcd0-eec3-4e6f-9c88-1e4835d085cf" name="test_show_resource_template" time="0.155" timestamp="2020-04-27T23:22:11+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_unicode_template.StackUnicodeTemplateTest" id="d2c4a10c-3cb4-4efd-889d-695a0acbd04f" name="test_create_stack" time="9.149" timestamp="2020-04-27T23:22:11+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_unicode_template.StackUnicodeTemplateTest" id="66338945-a3ae-4e3a-aa17-ab802ceb00b1" name="test_stack_preview" time="0.290" timestamp="2020-04-27T23:22:20+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_unicode_template.StackUnicodeTemplateTest" id="871cc5dd-7550-494d-8c6d-9d549a8c0305" name="test_template_validate_basic" time="0.157" timestamp="2020-04-27T23:22:20+0000" />
    <testcase classname="heat_tempest_plugin.tests.functional.test_unicode_template.StackUnicodeTemplateTest" id="e84c76b8-a5e5-45e7-9c4b-4c160d1c385f" name="test_template_validate_override_default" time="0.141" timestamp="2020-04-27T23:22:20+0000" />
    <testcase classname="heat_tempest_plugin.tests.scenario.test_aodh_alarm.AodhAlarmTest" id="fc0f18a6-f65c-4df1-b9c5-e160dea59849" name="test_alarm" time="0.006" timestamp="2020-04-27T23:22:21+0000">
      <skipped>Test disabled in conf, skipping</skipped>
    </testcase>
    <testcase classname="heat_tempest_plugin.tests.scenario.test_autoscaling_lb.AutoscalingLoadBalancerTest" id="48ddbc45-cef6-4640-acd6-7efc281833b9" name="test_autoscaling_loadbalancer_neutron" time="0.571" timestamp="2020-04-27T23:22:21+0000">
      <skipped>LBaas v1 extension not available, skipping</skipped>
    </testcase>
    <testcase classname="heat_tempest_plugin.tests.scenario.test_autoscaling_lbv2.AutoscalingLoadBalancerv2Test" id="89459930-aa61-4557-989b-3429d3b3b612" name="test_autoscaling_loadbalancer_neutron" time="0.567" timestamp="2020-04-27T23:22:21+0000">
      <skipped>LBaasv2 extension not available, skipping</skipped>
    </testcase>
    <testcase classname="heat_tempest_plugin.tests.scenario.test_base_resources.BasicResourcesTest" id="bd151ea4-2dcd-4440-9bf0-eff63a98e5d4" name="test_base_resources_integration" time="46.788" timestamp="2020-04-27T23:22:22+0000" />
    <testcase classname="heat_tempest_plugin.tests.scenario.test_remote_deeply_nested.RemoteDeeplyNestedStackTest" id="2ed94cae-da14-4060-a6b3-526e7a8cbbe4" name="test_remote_nested" time="13.770" timestamp="2020-04-27T23:23:09+0000" />
    <testcase classname="heat_tempest_plugin.tests.scenario.test_server_cfn_init.CfnInitIntegrationTest" id="3f7726fc-a41b-40ca-ab38-51e2973f146a" name="test_server_cfn_init" time="42.885" timestamp="2020-04-27T23:23:22+0000" />
    <testcase classname="heat_tempest_plugin.tests.scenario.test_server_signal.ServerSignalIntegrationTest" id="8da0f6cc-60e6-4298-9e54-e1f905c5552a" name="test_server_signal_userdata_format_raw" time="32.607" timestamp="2020-04-27T23:24:05+0000" />
    <testcase classname="heat_tempest_plugin.tests.scenario.test_server_signal.ServerSignalIntegrationTest" id="3d753d42-7c16-4a0e-8f73-875881826626" name="test_server_signal_userdata_format_software_config" time="44.837" timestamp="2020-04-27T23:24:38+0000" />
    <testcase classname="heat_tempest_plugin.tests.scenario.test_server_software_config.SoftwareConfigIntegrationTest" id="fb2afe23-d1a8-45fc-bf8d-b18fc8412972" name="test_server_software_config" time="0.007" timestamp="2020-04-27T23:25:23+0000">
      <skipped>Test disabled in conf, skipping</skipped>
    </testcase>
    <testcase classname="heat_tempest_plugin.tests.scenario.test_volumes.VolumeBackupRestoreIntegrationTest" id="c3416735-87bf-4478-85c5-b3823819eb19" name="test_cinder_volume_create_backup_restore" time="0.003" timestamp="2020-04-27T23:25:23+0000">
      <skipped>Test disabled in conf, skipping</skipped>
    </testcase>
  </testsuite>
</testsuites>
